ARMAGETRONAD-DEDICATED(6)

NAME
armagetronad-dedicated - an Armagetron Advanced dedicated game server

SYNOPSIS
/etc/init.d/armagetronad-dedicated start|stop|restart|force-reload|status

armagetronad-dedicated [-h, --help] [-v, --version] [--doc] [--fastforward] [--benchmark] [--record] [--playback]

DESCRIPTION

The Armagetron Advanced dedicated server runs from an initscript -- to enable running it on boot, edit /etc/default/armagetronad-dedicated.

The server program will read default settings from /etc/armagetronad/settings_dedicated.cfg. Modifications and custom server settings should be implemented in the file /etc/armagetronad/settings_custom.cfg.

To edit configuration on-the-fly or make time-sensitive temporary changes, it's best to log onto the server from the armagetronad client and log on as an administrator (using the password set in the server configuration). Console input is not available when running the server as a daemon.

Before each round is started, the file /etc/armagetronad/everytime.cfg is read; it may be useful to use this for things like randomly changing maps or other quickly changing settings.

OPTIONS
Note: Only options that are relevant for invoking armagetron-dedicated via the command line (and not the initscript) are documented here. See armagetronad-dedicated --help for a complete reference.

-h, --help
    Show help message.

-v, --version
    Print version number.

--doc
    Print documentation for all console commands. These are also configuration settings for config files.

--fastforward TIME
    Lets time run very fast until the given time is reached.

--benchmark
    Renders frames as they were recorded.

--record FILENAME
    Creates a DEBUG recording while running.

--playback FILENAME
    Plays back a DEBUG recording.

FILES

/etc/armagetronad/settings_dedicated.cfg

SEE ALSO
armagetronad(6)

Armagetron Advanced is documented fully by the provided HTML docs, found under /usr/share/doc/armagetronad-common/html/.

A thorough guide to running a server can be found on the Armagetron Advanced wiki: http:wiki.armagetronad.netindex.phpServer_Administration_Guide and: http:wiki.armagetronad.netindex.phpAdvanced_Server_Administration_Guide

AUTHOR
Armagetron Advanced was written by Manuel Moos <z-man@users.sourceforge.net> and the Armagetron Advanced development team.

This manual page was adapted from the original HTML version by Marcelo E. Magallon <mmagallo@debian.org> (and later Christine Spang <spang@mit.edu>), for the Debian GNU/Linux system (but may be used by others).